/*

    File: lang.c

    Copyright (C) 1998-2004 Christophe GRENIER <grenier@cgsecurity.org>
  
    This software is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
  
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
  
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

#include <stdio.h>

const char* nom_os[256]=
{
"empty",
"FAT12",
"XENIX root",
"XENIX /usr",
"FAT16 <32M",
"extended",
"FAT16 >32M",
"HPFS - NTFS",                          /*7*/
NULL,
"AIX data",
"OS/2 Boot Manager",
"FAT32",                                /* 0B */
"FAT32 LBA",
NULL,
"FAT16 LBA",
"extended LBA",
"OPUS",                                                 /* 0x10 */
"hid. FAT12",
"Compaq Diagnostics",
NULL,                                                     /* 0x13 */
"hid. FAT16 <32M",
NULL,
"hid. FAT16 >32M",
"hid. HPFS/NTFS",
"AST swap",
"Willowtech Photon",                            /* 0x19 */
NULL,
"hid. FAT32",
"hid. FAT32 LBA",
NULL,
"hid. FAT16 LBA",
NULL,
"Willowsoft OFS1",              /* 0x20 */
"reserved",
NULL,
"reserved",
"NEC MS-DOS 3.x",
NULL,
"reserved",                     /* 0x26 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"reserved",                     /* 0x31 */
NULL,
"reserved",
"reserved",
NULL,
"reserved",
NULL,
"Theos",                                                /* 0x38 */
NULL,
NULL,
NULL,
"PMagic recovery",              /* 0x3C */
NULL,
NULL,
NULL,
"VENIX 80286",                                          /* 0x40 */
"Personal RISC",
"W2K Dynamic/SFS",
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"OnTrack DM RO",                /* 50 */
"OnTrack DM RW-NOVEL",
"CP/M-Microport V/386",
"OnTrack DM WO ???",
"OnTrack DM DDO",
"EZ-Drive",
"GoldenBow VFeature",                                   /* 0x56 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"SpeedStor",                                            /* 0x61 */
NULL,
"Unixware, HURD, SCO",
"NetWare 286",
"NetWare 3.11+",
NULL,
"Novell",
"Novell",
"Novell",                                               /* 0x69 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"DiskSecure MB",                                /* 0x70 */
"reserved",
NULL,
"reserved",
"reserved",
"PC/IX",
"reserved",                     /* 0x76 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"Minix v1.1-1.4a",                                      /* 0x80 */
"Linux (Old)",
"Linux Swap",
"Linux",
NULL,
"Linux extended",
"NT FAT16 V/S set",
"HPFS FT mirror-V/S set",       /* 0x87 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"LVM",				/* 0x8E */
NULL,
NULL,
NULL,
NULL,
"Amoeba",   			/* 0x93 */
"Amoeba bad block",
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"NoteBIOS save2disk",        /* 0xA0 */
"reserved",
NULL,
"reserved",
"reserved",
"FreeBSD",			/* 0xA5 */
"OpenBSD",
NULL,
NULL,
"NetBSD",			/* 0xA9 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"reserved",     /* 0xB1 */
NULL,
"reserved",
"reserved",
NULL,
"reserved",
"BSDI",
"BSDI swap",    /* 0xB8 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"secured FAT12",        /* 0xC1 */
NULL,
NULL,
"secured FAT16",
NULL,
"sec. Huge-bad FAT16",
"Syrinx Boot-bad NTFS",       /* 0xC7 */
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"CP/M-86",              /* 0xD8 */
NULL,
NULL,
"CP/M",                 /* 0xDB */
NULL,
NULL,
"Dell Utility",		/* 0xDE */
NULL,
NULL,
"SpeedStor FAT12 ext",  /* 0xE1 */
NULL,
"DOS RO",
"SpeedStor FAT16 ext",
"reserved",
"reserved",             /* 0xE6 */
NULL,
NULL,
NULL,
NULL,
"BeFS",                 /* 0xEB */
NULL,
NULL,
NULL,
NULL,
NULL,
"Storage Dimensions",                           /* 0xF1 */
"DOS secondary",
"reserved",
"SpeedStor",
NULL,
"reserved",
NULL,
NULL,
NULL,
NULL,
NULL,
NULL,
"Linux RAID",
"LANstep",                                       /* 0xFE */
"Xenix bad block"
};

